Subject: Re: [rfc-i] What do do about SVG

From: Martin J. Dürst <[email-masked]>
Date: Wed, 6 Jan 2021 13:21:15 +0900

Hello everybody,

Sorry to be late with my comment.

On 16/12/2020 07:51, Brian E Carpenter wrote:

> Restrictions we do need, IMHO, include
> - no colour
> - no greyscale
> - no scripting
> - no external URLs
> - use viewbox and *no* height/width, to allow proper scaling

I think another aspect that came up in discussions was the issue of 
"clean SVG" (see e.g. https://www.svgminify.com/ or search for the 
term). Tools such as Illustrator and Inkscape have the strong tendency 
to include a lot of additional information and cruft.

When you draw a single rectangle, you'd expect that would result in a 
single <rect> element (and that would indeed be enough to render the 
result correctly), but what you end up with is something much more 
voluminous that may not even contain a single <rect> element.

I attach a document created by Inkscape and one created (from the 
former, in this case) by hand. Inkscape actually uses <rect> when you 
draw a rectangle; I think it is (or was) Illustrator that didn't. 
Anyway, the difference should be quite obvious.

I'm not sure how "clean SVG" could be formalized, but getting close to 
it for SVG is probably as desirable as having clean semantic XML.

Regards,   Martin.

> but we shouldn't waste everybody's time by worrying about
> SVG syntax in general.
> 
> (If there was some SVG equivalent of PDF-A, that would be
> fine, but there isn't, to my knowledge.)
> 
>      Brian
> _______________________________________________
> rfc-interest mailing list
> [email-masked]
> https://www.rfc-editor.org/mailman/listinfo/rfc-interest
> .
> 
_______________________________________________
rfc-interest mailing list
[email-masked]
https://www.rfc-editor.org/mailman/listinfo/rfc-interest

---

From: Nevil Brownlee <[email-masked]>
Date: Thu, 7 Jan 2021 11:05:06 +1300

Hi all:

I pretty much agree with Brian (below), ans (I seem to remember), that's why 
we chose to start with Tiny SVG.

Looking at the list below, another thing we need is SVG markers - Inkscape 
et al use them for arrowheads on lines, but they're not allowed in Tiny SVG.

As for the "cruft added by drawing programs, that's why we made svgcheck, 
which strips out everything that doesn't conform to RFC 7996.

Cheers, Nevil

On 6/01/21 5:21 PM, Martin J. Dürst wrote:
> I think another aspect that came up in discussions was the issue of "clean 
> SVG" (see e.g. 
> https://www.svgminify.com 
> or search for the term). Tools such as Illustrator and Inkscape have the 
> strong tendency to include a lot of additional information and cruft.
> 
> When you draw a single rectangle, you'd expect that would result in a single 
> <rect> element (and that would indeed be enough to render the result 
> correctly), but what you end up with is something much more voluminous that 
> may not even contain a single <rect> element.
> 
> I attach a document created by Inkscape and one created (from the former, in 
> this case) by hand. Inkscape actually uses <rect> when you draw a rectangle; 
> I think it is (or was) Illustrator that didn't. Anyway, the difference 
> should be quite obvious.
> 
> I'm not sure how "clean SVG" could be formalized, but getting close to it 
> for SVG is probably as desirable as having clean semantic XML.
> 
> Regards,   Martin.
> 
> 

-- 
---------------------------------------------------------------------
  Nevil Brownlee                    Computer Science Department | ITS
  Phone: +64 9 373 7599 x88941             The University of Auckland
  FAX: +64 9 373 7453   Private Bag 92019, Auckland 1142, New Zealand